From 4ee9c95e2e9d997795642c7198ff022efd126111 Mon Sep 17 00:00:00 2001
From: Loui Chang <louipc.ist@gmail.com>
Date: Tue, 19 Feb 2008 10:28:02 -0500
Subject: [PATCH] Fixed a couple more lingering JSON bugs
 Signed-off-by: Loui Chang <louipc.ist@gmail.com>

---
 web/lib/aurjson.class.php |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/web/lib/aurjson.class.php b/web/lib/aurjson.class.php
index f358e64..9aecdc1 100644
--- a/web/lib/aurjson.class.php
+++ b/web/lib/aurjson.class.php
@@ -111,7 +111,8 @@ class AurJSON {
      * @return mixed Returns an array of value data containing the package data
      **/
     private function info($pqdata) {
-        $base_query = "SELECT ID,Name,Version,Description,URL,URLPath,License,NumVotes,OutOfDate FROM Packages WHERE DummyPkg=0 AND";
+        $base_query = "SELECT ID,Name,Version,Description,URL,URLPath," .
+	"License,NumVotes,OutOfDate FROM Packages WHERE DummyPkg=0 AND ";
 
         if ( is_numeric($pqdata) ) {
             // just using sprintf to coerce the pqd to an int
@@ -121,9 +122,10 @@ class AurJSON {
         }
         else {
             if(get_magic_quotes_gpc()) {
-                $pqd = stripslashes($pqdata);
+                $pqdata = stripslashes($pqdata);
             }
-            $query_stub = sprintf("Name=\"%s\"",mysql_real_escape_string($pqdata));
+            $query_stub = sprintf("Name=\"%s\"",
+		mysql_real_escape_string($pqdata));
         }
 
         $result = db_query($base_query.$query_stub, $this->dbh);
-- 
1.5.4.2

